import { SignatureData } from '../schema/index.js';
import { ContractCreate, ContractData, ContractTemplate } from '../schema/model/contract.js';
import { RecordQuery, RecordTemplate } from '../schema/model/record.js';
import { ResponseAPI } from '../schema/types.js';
type Fetcher = typeof fetch;
export declare class ContractRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    list: () => Promise<ResponseAPI<ContractData[]>>;
    create: (template: ContractCreate) => Promise<ResponseAPI<ContractData>>;
    read: (contractId: string) => Promise<ResponseAPI<ContractData>>;
    prune: () => Promise<ResponseAPI>;
    update: (contractId: string, template: ContractTemplate) => Promise<ResponseAPI>;
    cancel: (contractId: string) => Promise<ResponseAPI>;
    endorse: {
        update: (contractId: string, endorsement: string) => Promise<ResponseAPI>;
        remove: (contractId: string) => Promise<ResponseAPI>;
    };
    members: {
        update: (contractId: string, members: string[]) => Promise<ResponseAPI>;
        remove: (contractId: string, members: string[]) => Promise<ResponseAPI>;
    };
    records: {
        update: (contractId: string, records: RecordTemplate[]) => Promise<ResponseAPI>;
        remove: (contractId: string, queries: RecordQuery[]) => Promise<ResponseAPI>;
    };
    sign: {
        list: (contractId: string) => Promise<ResponseAPI<SignatureData[]>>;
        update: (contractId: string, signature: string) => Promise<ResponseAPI>;
        remove: (contractId: string) => Promise<ResponseAPI>;
    };
}
export {};
//# sourceMappingURL=contract.d.ts.map