import { z } from 'zod';
export type EndorseData = z.infer<typeof data>;
export type EndorseTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    signature: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    hash: string;
    signature: string;
}, {
    hash: string;
    signature: string;
}>;
declare const data: z.ZodObject<{
    hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    signature: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    updated_at: Date;
    hash: string;
    signature: string;
}, {
    pubkey: string;
    updated_at: Date;
    hash: string;
    signature: string;
}>;
export declare const EndorseSchema: {
    data: z.ZodObject<{
        hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        signature: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        updated_at: Date;
        hash: string;
        signature: string;
    }, {
        pubkey: string;
        updated_at: Date;
        hash: string;
        signature: string;
    }>;
    template: z.ZodObject<{
        hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        signature: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        hash: string;
        signature: string;
    }, {
        hash: string;
        signature: string;
    }>;
};
export {};
//# sourceMappingURL=endorse.d.ts.map