import { z } from 'zod';
export type SignatureData = z.infer<typeof data>;
export type SignatureTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    hash: string;
    psig: string;
}, {
    hash: string;
    psig: string;
}>;
declare const data: z.ZodObject<{
    hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    updated_at: Date;
    hash: string;
    psig: string;
}, {
    pubkey: string;
    updated_at: Date;
    hash: string;
    psig: string;
}>;
export declare const SignatureSchema: {
    data: z.ZodObject<{
        hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        updated_at: Date;
        hash: string;
        psig: string;
    }, {
        pubkey: string;
        updated_at: Date;
        hash: string;
        psig: string;
    }>;
    template: z.ZodObject<{
        hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        psig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        hash: string;
        psig: string;
    }, {
        hash: string;
        psig: string;
    }>;
};
export {};
//# sourceMappingURL=signature.d.ts.map